PETSc version 3.15.5
Fix/Edit manual page

# PETSC_VIEWER_BINARY_

Creates a binary PetscViewer shared by all processors in a communicator.

### Synopsis

    #include "petscviewer.h"
    PetscViewer PETSC_VIEWER_BINARY_(MPI_Comm comm)

Collective

### Input Parameter

| comm | - the MPI communicator to share the binary PetscViewer

### Options Database Keys

| -viewer_binary_filename <name> | - filename in which to store the binary data, defaults to binaryoutput
| -viewer_binary_skip_info | - true means do not create .info file for this viewer
| -viewer_binary_skip_options | - true means do not use the options database for this viewer
| -viewer_binary_skip_header | - true means do not store the usual header information in the binary file
| -viewer_binary_mpiio | - true means use the file via MPI-IO, maybe faster for large files and many MPI ranks

### Environmental variables

| PETSC_VIEWER_BINARY_FILENAME | - filename in which to store the binary data, defaults to binaryoutput

### Notes

Unlike almost all other PETSc routines, PETSC_VIEWER_BINARY_ does not return an error code. The binary PetscViewer is usually used in the form

          XXXView(XXX object,PETSC_VIEWER_BINARY_(comm));

### See Also

PETSC_VIEWER_BINARY_WORLD, PETSC_VIEWER_BINARY_SELF, PetscViewerBinaryOpen(), PetscViewerCreate(),
PetscViewerDestroy()

### Level

intermediate

### Location

src/sys/classes/viewer/impls/binary/binv.c

### Examples

src/ksp/ksp/tutorials/ex28.c.html
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages